Subject: Re: [1/6] powerpc/64s/hash: Convert SLB miss handlers to C

From: Michael Ellerman <[email-masked]>
Date: Mon, 15 Oct 2018 15:01:14 +1100 (AEDT)

On Sat, 2018-10-13 at 13:18:31 UTC, Michael Ellerman wrote:
> From: Nicholas Piggin <[email-masked]>
> 
> This patch moves SLB miss handlers completely to C, using the standard
> exception handler macros to set up the stack and branch to C.
> 
> This can be done because the segment containing the kernel stack is
> always bolted, so accessing it with relocation on will not cause an
> SLB exception.
> 
> Arbitrary kernel memory must not be accessed when handling kernel
> space SLB misses, so care should be taken there. However user SLB
> misses can access any kernel memory, which can be used to move some
> fields out of the paca (in later patches).
> 
> User SLB misses could quite easily reconcile IRQs and set up a first
> class kernel environment and exit via ret_from_except, however that
> doesn't seem to be necessary at the moment, so we only do that if a
> bad fault is encountered.
> 
> [ Credit to Aneesh for bug fixes, error checks, and improvements to
>   bad address handling, etc ]
> 
> Signed-off-by: Nicholas Piggin <[email-masked]>
> [mpe: Disallow tracing for all of slb.c for now.]
> Signed-off-by: Michael Ellerman <[email-masked]>

Series applied to powerpc next.

https://git.kernel.org/powerpc/c/48e7b76957457f9a6f086ca2bbe49e

cheers